<template>
  <div class="app-backend">
    <div class="skin-black sidebar-mini" v-if="$route.name != 'Backend_Login'">
      <div class="wrapper">

        <!-- HEADER -->
        <div class="app-backend-header" >
          <header class="main-header">

            <!-- BRAND -->
            <router-link :to="{ name: 'Backend_Index' }" class="logo">
              <span class="logo-mini">
                <b><i class="fas fa-rocket"></i> 14</b>
              </span>
              <span class="logo-lg">
                <b><i class="fas fa-rocket"></i> ITCAMP14</b>
              </span>
            </router-link>
            
            <!-- NAVBAR -->
            <nav class="navbar navbar-static-top">

              <!-- SIDEBAR TOGGLR -->
              <a href="" data-toggle="offcanvas" role="button" style="color: #000; text-decoration: none;">
                <i class="fas fa-bars" style="font-size: 15px !important;"></i>
              </a>

              <!-- USER -->
              <!-- <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                  <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                      team_web
                      <i class="fa fa-arrow-circle-down" aria-hidden="true"></i>
                    </a>
                    <ul class="dropdown-menu">
                      <li class="user-header dropdown-item">
                        <img src="@images/backend/boy.png" class="img-circle" alt="User Image">
                        <p>
                          team_web
                          <small>เฮดฝ่าย | เว็บไซต์</small>
                        </p>
                      </li>
                      <li class="user-footer dropdown-item">
                        <div class="pull-left">
                          <a href="#password" class="btn btn-default btn-flat">Change password</a>
                        </div>
                        <div class="pull-right">
                          <a href="#logout" class="btn btn-default btn-flat">Sign out</a>
                        </div>
                      </li>
                    </ul>
                  </li>
                </ul>
              </div> -->
            </nav>
          </header>

          <!-- SIDE BAR -->
          <aside class="main-sidebar">
            <section class="sidebar">
              <ul class="sidebar-menu">
                <li class="header">NAVIGATION</li>
                <li class="active">
                  <router-link :to="{ name: 'Backend_Index' }">
                    <i class="fas fa-home"></i>
                    <span>หน้าแรก</span>
                  </router-link>
                </li>
                <li class="">
                  <router-link :to="{ name: 'Backend_Check_Applicant' }">
                    <i class="fas fa-calendar-check"></i>
                    <span>ตรวจใบสมัคร</span>
                  </router-link>
                </li>
                <li class="">
                  <router-link :to="{ name: 'Backend_Check_Answer' }">
                    <i class="fas fa-calendar-alt"></i>
                    <span>ตรวจคำตอบ</span>
                  </router-link>
                </li>
                <li class="treeview">
                  <a href="#">
                    <i class="fas fa-question-circle"></i>
                    <span>คำถาม</span>
                    <i class="fa fa-angle-left pull-right"></i>
                  </a>
                  <ul class="treeview-menu">
                    <li class="">
                      <router-link :to="{ name: 'Backend_Question_Applicant' }">
                        <i class="far fa-question-circle"></i>
                        <span>ดูคำถามผู้สมัคร</span>
                      </router-link>
                    </li>
                    <li class="">
                      <router-link :to="{ name: 'Backend_Question_Camp' }">
                        <i class="far fa-question-circle"></i>
                        <span>ดูคำถามค่าย</span>
                      </router-link>
                    </li>
                  </ul>
                </li>
                <li class="treeview ">
                  <a href="https://itcamp.in.th/13/backend#">
                    <i class="fas fa-user-circle"></i>
                    <span>จัดการบัญชีผู้ใช้</span>
                    <i class="fa fa-angle-left pull-right"></i>
                  </a>
                  <ul class="treeview-menu">
                    <li class="">
                      <router-link :to="{ name: 'Backend_Account_Applicant' }">
                        <i class="far fa-user-circle"></i>
                        <span>บัญชีผู้ใช้ Applicant</span>
                      </router-link>
                    </li>
                    <li class="">
                      <router-link :to="{ name: 'Backend_Account_Staff' }">
                        <i class="far fa-user-circle"></i>
                        <span>บัญชีผู้ใช้ Staff</span>
                      </router-link>
                    </li>
                  </ul>
                </li>
                <li class="">
                  <router-link :to="{ name: 'Backend_Choose_Applicant' }">
                    <i class="fas fa-filter"></i>
                    <span>คัดเลือกผู้สมัคร</span>
                  </router-link>
                </li>
                <li class="header">SYSTEM</li>
                <li>
                  <a href="http://itcamp.in.th/13/backend/auth/logout">
                    <i class="fa fa-circle-o text-red"></i>
                    <span>ออกจากระบบ</span>
                  </a>
                </li>
                <li>
                  <a href="http://itcamp.in.th/13">
                    <i class="fa fa-circle-o text-blue"></i>
                    <span>กลับหน้าแรก</span>
                  </a>
                </li>
              </ul>
            </section>
          </aside>
        </div>


        <!-- INDEX CONTENT -->
        <div class="content-wrapper" style="min-height: 100vh;">
          <router-view></router-view>
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer hidden-xs">
          <div class="pull-right">
            <b>ITCAMP</b> backend System
          </div>
          by
          <strong>
            <a href="https://twitter.com/ine_meranote" target="_blank">@ine_meranote</a>
          </strong>
        </footer>
      </div>
    </div>
    <div v-else>
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
// import '@css/backend/bootstrap.min.css';
import '@css/backend/_all-skins.min.css';
import '@css/backend/AdminLTE.min.css';
import '@css/backend/app.css';
import '@css/backend/dataTables.bootstrap.css';
import '@css/backend/ionicons.min.css';

// import '@js/dataTables.js';
import '@js/app.min.js';
import '@js/jquery.dataTables.js';
import '@js/fastclick.js';
import '@js/utility.js';

export default {
  name: 'Backned',
  data() {
    return {
      user: {
        name: 'USERNAME'
      }
    };
  }
};
</script>

<style>
.app-backend {
  height: 100vh;
}
</style>
